Kerbal Space Program - Bug #4766

graphics are broken
04/27/2015 09:35 PM - ad8

Status: Closed Start date: 04/27/2015
Severity: Critical % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

the space center looks like this: http:/i.imgur.com/SZMhXgd.png

the vehicle assembly building looks like this: http:/i.imgur.com/fA9Z8GN.png

KSP.log is attached

i encounter this on 64-bit archlinux. mesa and glu packages are installed. no mods.

Related issues:

Related to Kerbal Space Program - Bug #3859: [Bug v0.90.0.0]: KSP space centr... Closed

History

#1 - 04/27/2015 09:46 PM - ad8

intel graphics card & drivers

#2 - 04/27/2015 09:51 PM - saabstory88

ad8 wrote:

intel graphics card & drivers

Can you give a more detailed system specifications? Are you experiencing graphics issues in other games?

#3 - 04/27/2015 09:56 PM - ad8
machine is a UX31 series asus laptop. i have had no issues in xonotic (the only other game i've played on this machine).
output of Ispci:

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller
00:02.0 VGA compatible controller:

(rev 09)
Intel Corporation 2nd Generation Core Processor Family Integrated Graphics

Controller (rev 09)

00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev
04)

00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (

rev 05)

00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev bb)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev bb)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b5)

00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
(rev 05)

00:1£.0 ISA bridge: Intel Corporation QS67 Express Chipset Family LPC Controller (rev 05)

00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (re

v 05)

00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 05)

02:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)

03:00.0 USB controller: Fresco Logic FL1009 USB 3.0 Host Controller (rev 02)

output of uname -a:

04/30/2024
http://i.imgur.com/SZMhXgd.png
http://i.imgur.com/fA9Z8GN.png

Linux olivaw 3.18.2-2-ARCH #1 SMP PREEMPT Fri Jan 9 07:37:51 CET 2015 x86_64 GNU/Linux

#4 - 04/27/2015 09:58 PM - ad8
KSP v0.24 worked well. im-dewnleading-0-90-rew-te-test “edit: found fix described below before dl finished

#5 - 04/27/2015 10:03 PM - ad8
this problem is fixed by disabling "Edge Highlighting (PPFX)" in graphics options

#6 - 04/27/2015 10:15 PM - saabstory88
- Parent task set to #3859

This is a duplicate of 3859, which has been resolved.

#7 - 04/27/2015 10:17 PM - saabstory88
- Parent task deleted (#3859)

#8 - 04/27/2015 10:17 PM - saabstory88
- Related to Bug #3859: [Bug v0.90.0.0]: KSP space centre graphics glitches on Ubuntu 14.10 added

#9 - 04/27/2015 10:18 PM - saabstory88
Wrong related field :P

#10 - 04/28/2015 12:28 PM - unseeingwhale
- Status changed from New to Resolved

- % Done changed from 0 to 100

As noted above this can be fixed by turning off edge highlighting.

#11 - 05/01/2016 10:28 PM - bewing

- Status changed from Resolved to Closed
